%define name smartmontools
%define version 5.33
%define release 3mdk

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	SMARTmontools - for monitoring S.M.A.R.T. disks and devices
License:	GPL
Group:		System/Kernel and hardware
URL:            http://smartmontools.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.asc
Source2:	smartd.conf
Source3:	%{name}.bash-completion.bz2
Obsoletes:	smartsuite
Provides:	smartsuite
PreReq:		rpm-helper
Requires(pre,postun): rpm-helper

%description 
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
built into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contains two utilities.  The first, smartctl, is a command-line
utility designed to perform simple S.M.A.R.T. tasks. The second,
smartd, is a daemon that periodically monitors smart status and
reports errors to syslog.  The package is compatible with the
ATA/ATAPI-5 specification.  Future releases will be compatible with
the ATA/ATAPI-6 and ATA/ATAPI-7 specifications.  The package is
intended to incorporate as much "vendor specific" and "reserved"
information as possible about disk drives.  man smartctl and man
smartd will provide more information.

%prep
%setup -q
bzcat %{SOURCE3} > %{name}.bash-completion

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install %{SOURCE2} $RPM_BUILD_ROOT/etc/

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service smartd

%preun
%_preun_service smartd


%files
%defattr(-,root,root)
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/smartd.conf
%{_sysconfdir}/bash_completion.d/%{name}
%{_initrddir}/smartd
%{_sbindir}/*
%{_mandir}/man?/*

%doc %{_docdir}/%{name}-%{version}


%changelog
* Thu Jul 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.33-3mdk 
- bash completion

* Mon Jun 13 2005 Erwan Velu <velu@seanodes.com> 5.33-2mdk
- Fixing stupid errors

* Mon Oct 28  2004 Erwan Velu <erwan@mandrakesoft.com> 5.33-1mdk
- 5.33

* Mon Aug 16  2004 Erwan Velu <erwan@mandrakesoft.com> 5.32-2mdk
- Using a better default configuration file

* Mon Jul 12  2004 Erwan Velu <erwan@mandrakesoft.com> 5.32-1mdk
- 5.32

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.31-2mdk
- Fix spelling errors in description

* Sun May 16 2004 Abel Cheung <deaddog@deaddog.org> 5.31-1mdk
- New version
- Use tar.gz for source verification

* Tue Mar 09  2004 Erwan Velu <erwan@mandrakesoft.com> 5.30-1mdk
- New release
* Thu Feb 19 2004 Erwan Velu <erwan@mandrakesoft.com> 5.27-1mdk
- New Release
* Thu Dec 4 2003 Erwan Velu <erwan@mandrakesoft.com> 5.26-1mdk
- New release
- Release are too fast theses days :)
* Thu Nov 27 2003 Erwan Velu <erwan@mandrakesoft.com> 5.25-1mdk
- New release
- Fixing changelog entries :)
- Removing Patch1 (merged upstream)
* Mon Nov 1 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-23mdk
- New release
* Sat Nov 01 2003 Abel Cheung <deaddog@deaddog.org> 5.22-2mdk
- don't restart smartd multiple times

* Thu Oct 30 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-22.1mdk
- Jump to Release 22 (release are quick theses days :) )
- Removing patch1 (Mandrake is redhat compliant for initscripts)
- Adding autorestart on updates

* Sat Oct 04 2003 Abel Cheung <deaddog@deaddog.org> 5.19-1mdk
- 5.19 (no subrelease version number now)
- When upgrading, solely use rpm-helper scripts to start/stop service.
  It will be effective after next rpm update. (#5996)
- Obsoletes UCSC smartsuite instead of conflicts, looks like smartsuite
  is no longer maintained
- Rediff patch1

* Tue Sep 23 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-18.1mdk
- New release
* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.1-14.2mdk
- rebuild

* Wed Jun 18 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-14.1mdk
- Subrelease 14

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 5.1-10.1mdk
- subrelease 10

* Fri Mar 28 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-9.2mdk
- Adding examplescript dir in /usr/share/doc/ (Thx to Bruce Allen)

* Mon Mar 24 2003 Erwan Velu <erwan@mandrakesoft.com> 5.1-9.1mdk
- New version
- Removing patch0
- Including missing files

* Thu Jan 16 2003 Erwan Velu <erwan@mandrakesoft.com> 5.0-8.2mdk
- Rebuild for new glibc

* Tue Oct 15 2002 Erwan Velu <erwan@mandrakesoft.com> 5.0-8.1mdk
- First mdk release

* Mon Oct 14 2002  Bruce Allen smartmontools-support@lists.sourceforge.net
Initial release.  Code is derived from smartsuite, and is
   intended to be compatible with the ATA/ATAPI-5 specifications.
